
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVFoodIngredientsItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

@SemppisAncientVellumsModElements.ModElement.Tag
public class BiscuitFillingItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:biscuit_filling")
	public static final Item block = null;

	public BiscuitFillingItem(SemppisAncientVellumsModElements instance) {
		super(instance, 552);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(SAVFoodIngredientsItemGroup.tab).maxStackSize(64).rarity(Rarity.COMMON)
					.food((new Food.Builder()).hunger(8).saturation(2f)

							.build()));
			setRegistryName("biscuit_filling");
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
