
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVWeaponsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

@SemppisAncientVellumsModElements.ModElement.Tag
public class ChitinShortswordItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:chitin_shortsword")
	public static final Item block = null;

	public ChitinShortswordItem(SemppisAncientVellumsModElements instance) {
		super(instance, 91);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 540;
			}

			public float getEfficiency() {
				return 1f;
			}

			public float getAttackDamage() {
				return 2.8f;
			}

			public int getHarvestLevel() {
				return 0;
			}

			public int getEnchantability() {
				return 15;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -3f, new Item.Properties().group(SAVWeaponsTabItemGroup.tab)) {
		}.setRegistryName("chitin_shortsword"));
	}
}
