
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVWeaponsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.AxeItem;

@SemppisAncientVellumsModElements.ModElement.Tag
public class ChitinWarAxeItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:chitin_war_axe")
	public static final Item block = null;

	public ChitinWarAxeItem(SemppisAncientVellumsModElements instance) {
		super(instance, 2);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new AxeItem(new IItemTier() {
			public int getMaxUses() {
				return 640;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 6.5f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 15;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 1, -3.1f, new Item.Properties().group(SAVWeaponsTabItemGroup.tab)) {
		}.setRegistryName("chitin_war_axe"));
	}
}
