
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVFoodsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

@SemppisAncientVellumsModElements.ModElement.Tag
public class CookedGroundAlitMeatItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:cooked_ground_alit_meat")
	public static final Item block = null;

	public CookedGroundAlitMeatItem(SemppisAncientVellumsModElements instance) {
		super(instance, 494);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(SAVFoodsTabItemGroup.tab).maxStackSize(64).rarity(Rarity.COMMON)
					.food((new Food.Builder()).hunger(7).saturation(1.0999999999999999f)

							.meat().build()));
			setRegistryName("cooked_ground_alit_meat");
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
