
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVFoodsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

@SemppisAncientVellumsModElements.ModElement.Tag
public class CookedGroundRatMeatItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:cooked_ground_rat_meat")
	public static final Item block = null;

	public CookedGroundRatMeatItem(SemppisAncientVellumsModElements instance) {
		super(instance, 423);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(SAVFoodsTabItemGroup.tab).maxStackSize(64).rarity(Rarity.COMMON)
					.food((new Food.Builder()).hunger(2).saturation(0.5f)

							.meat().build()));
			setRegistryName("cooked_ground_rat_meat");
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
