
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVFoodIngredientsItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.block.BlockState;

@SemppisAncientVellumsModElements.ModElement.Tag
public class HotPepperFlakesItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:hot_pepper_flakes")
	public static final Item block = null;

	public HotPepperFlakesItem(SemppisAncientVellumsModElements instance) {
		super(instance, 509);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ItemCustom());
	}

	public static class ItemCustom extends Item {
		public ItemCustom() {
			super(new Item.Properties().group(SAVFoodIngredientsItemGroup.tab).maxStackSize(64).rarity(Rarity.COMMON));
			setRegistryName("hot_pepper_flakes");
		}

		@Override
		public int getItemEnchantability() {
			return 0;
		}

		@Override
		public int getUseDuration(ItemStack itemstack) {
			return 0;
		}

		@Override
		public float getDestroySpeed(ItemStack par1ItemStack, BlockState par2Block) {
			return 1F;
		}
	}
}
