
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVWeaponsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.AxeItem;

@SemppisAncientVellumsModElements.ModElement.Tag
public class IronBattleAxeItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:iron_battle_axe")
	public static final Item block = null;

	public IronBattleAxeItem(SemppisAncientVellumsModElements instance) {
		super(instance, 180);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new AxeItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 6f;
			}

			public float getAttackDamage() {
				return 9f;
			}

			public int getHarvestLevel() {
				return 2;
			}

			public int getEnchantability() {
				return 14;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 1, -3.5f, new Item.Properties().group(SAVWeaponsTabItemGroup.tab)) {
		}.setRegistryName("iron_battle_axe"));
	}
}
