
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVItemsItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

@SemppisAncientVellumsModElements.ModElement.Tag
public class KnifeItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:knife")
	public static final Item block = null;

	public KnifeItem(SemppisAncientVellumsModElements instance) {
		super(instance, 413);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 1f;
			}

			public float getAttackDamage() {
				return -1.5f;
			}

			public int getHarvestLevel() {
				return 0;
			}

			public int getEnchantability() {
				return 14;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -2f, new Item.Properties().group(SAVItemsItemGroup.tab)) {
			@Override
			public boolean hasContainerItem() {
				return true;
			}

			@Override
			public ItemStack getContainerItem(ItemStack itemstack) {
				return new ItemStack(this);
			}

			@Override
			public boolean isRepairable(ItemStack itemstack) {
				return false;
			}
		}.setRegistryName("knife"));
	}
}
