
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVWeaponsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

@SemppisAncientVellumsModElements.ModElement.Tag
public class ChitinDaggerItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:chitin_dagger")
	public static final Item block = null;

	public ChitinDaggerItem(SemppisAncientVellumsModElements instance) {
		super(instance, 87);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 380;
			}

			public float getEfficiency() {
				return 1f;
			}

			public float getAttackDamage() {
				return 1.4f;
			}

			public int getHarvestLevel() {
				return 0;
			}

			public int getEnchantability() {
				return 15;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -2f, new Item.Properties().group(SAVWeaponsTabItemGroup.tab)) {
		}.setRegistryName("chitin_dagger"));
	}
}
