
package net.semppisancientvellums.item;

import net.semppisancientvellums.itemgroup.SAVWeaponsTabItemGroup;
import net.semppisancientvellums.SemppisAncientVellumsModElements;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

@SemppisAncientVellumsModElements.ModElement.Tag
public class IronMaceItem extends SemppisAncientVellumsModElements.ModElement {
	@ObjectHolder("semppis_ancient_vellums:iron_mace")
	public static final Item block = null;

	public IronMaceItem(SemppisAncientVellumsModElements instance) {
		super(instance, 331);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 1200;
			}

			public float getEfficiency() {
				return 1f;
			}

			public float getAttackDamage() {
				return 4f;
			}

			public int getHarvestLevel() {
				return 0;
			}

			public int getEnchantability() {
				return 14;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -3f, new Item.Properties().group(SAVWeaponsTabItemGroup.tab)) {
		}.setRegistryName("iron_mace"));
	}
}
